require 'to_osm.rb'
require 'getoptlong'

if false
v1 = Vector[0,1]
v2 = Vector[1,0]

n0 = OSMModel::Node.new([31.199029, -89.420361], "", [])
n1 = OSMModel::Node.new([31.199166, -89.419559], "", [])
#n1 = OSMModel::Node.new([31.199124, -89.420467], "", [])
n2 = OSMModel::Node.new([31.197933, -89.419132], "", [])
s1 = OSMModel::Segment.new(n0, n1)
s2 = OSMModel::Segment.new(n2, n0)

s1 = OSMModel::Segment.new(n1, n0)
s2 = OSMModel::Segment.new(n0, n2)

v1 = s1.vector
v2 = s2.vector

printf "v1: %s\n", v1.to_s
printf "v2: %s\n", v2.to_s
printf "angle: %s\n", v1.angle(v2)
exit 
end
opts = GetoptLong.new(
     [ '--no-coalesce', '-n', GetoptLong::NO_ARGUMENT ]
    )

coalesce = true
options = Hash.new
opts.each do |opt, arg|
      case opt
        when '--no-coalesce'
          coalesce = false
      end
end
dir = ARGV[0]
dataset = TigerLine::Dataset.new(dir)
dataset.read

out = dataset.to_osm_xml(coalesce)

fp = File.new dataset.filename_base+".osm.xml", "w"
fp.write( out )
fp.close
